Subject: bug#78296: Hand-written styles with `LaTeX-provided-package-options'

From: Arash Esbati <[email-masked]>
Date: Mon, 26 May 2025 14:03:36 +0200

Hi Keita,

Ikumi Keita <[email-masked]> writes:

> My thought is to add such skips in addition to your proposal, so I
> expect that prefix argument C-u for C-c C-n would reset those
> variables.

Sorry for my late response, and thanks for the clarification.  I admit
I'm in general not happy with the current situation where we reset
`LaTeX-provided-(class|package)-options' in `LaTeX-auto-cleanup'.  We
have `LaTeX-auto-prepare' for that, but the 2 variables in question seem
to be different.  So my current vote is add them to
`TeX-normal-mode-reset-list' and be done with it, as we do for some
other variables as well.

> (Please forgive me if I'm saying something stupid.)

No worries, that is usually my part :-)

Best, Arash